# Number Order You can use the Number Order API to search for available numbers or activate an available number after providing KYC info. Steps for buying a number via an order and providing the required KYC information: 1. "Lookup number requirements" endpoint: look up country KYC requirements to establish which fields / information needs to be provided as part of buying the phone number. Also reveals if any attachment files need to be provided. 2. "Search for available phone numbers" endpoint: search numbers you may want to buy. 3. "Create a number order" endpoint: create the Number Order for a specific phone number or for a set of criteria (max 1 number per order supported now), which reserved the number for 48h, giving plenty of time to call the other endpoint to submit the fields required as revealed by the API at 1. and also to hit the final Submit endpoint. 4. "Update number order registration" endpoint: update the order Registration (container for the actual KYC required fields / information revealed at step #1). This is validated on the spot for required / optional fields, fields lengths etc. (also revealed at step #1). 5. "Upload an attachment for a number order" endpoint: upload file attachments - only if mandatory as per requirements revealed by step #1. AttachmentId necessary for the URL will be returned at step #1. 6. "Submit number order" endpoint: submit the order - final step after creating the order and providing registration info and (if required) attachments You can follow a detailed tutorial outlining the entire ordering process [here](https://developers.sinch.com/docs/numbers/kyc-numbers-order). ## Lookup number requirements - [POST /v1/projects/{projectId}/numberOrders:lookupNumberRequirements](https://developers.sinch.com/docs/numbers/api-reference/numbers/number-order/lookupnumberrequirements.md): Returns required KYC fields info based on number type & country legislation. You can follow a detailed tutorial outlining the entire ordering process here. ## Create a number order - [POST /v1/projects/{projectId}/numberOrders:createNumberOrder](https://developers.sinch.com/docs/numbers/api-reference/numbers/number-order/createnumberorder.md): Create a number order for a specific number or a set of criteria (quantity, pattern etc.) - reserves the provider numbers for 48h and creates entities for collecting KYC info. You can follow a detailed tutorial outlining the entire ordering process here. ## Get a number order - [GET /v1/projects/{projectId}/numberOrders/{numberOrderId}](https://developers.sinch.com/docs/numbers/api-reference/numbers/number-order/getnumberorder.md): Returns the number order alongside all reserved numbers. You can follow a detailed tutorial outlining the entire ordering process here. ## Update number order registration - [PUT /v1/projects/{projectId}/numberOrders/{numberOrderId}/registration](https://developers.sinch.com/docs/numbers/api-reference/numbers/number-order/updatenumberorderregistration.md): Updates the registration (vehicle for KYC info) for a specific number order. Validated against the country requirements revealed by the "Lookup number requirements" endpoints. You can follow a detailed tutorial outlining the entire ordering process here. ## Get number order registration - [GET /v1/projects/{projectId}/numberOrders/{numberOrderId}/registration](https://developers.sinch.com/docs/numbers/api-reference/numbers/number-order/getnumberorderregistration.md): Retrieves the Registration submitted for a number order via the "Update number order registration" endpoint. You can follow a detailed tutorial outlining the entire ordering process here. ## Upload an attachment for a number order - [POST /v1/projects/{projectId}/numberOrders/{numberOrderId}/attachments/{attachmentId}](https://developers.sinch.com/docs/numbers/api-reference/numbers/number-order/uploadnumberorderattachment.md): Upload file attachments to a number order registration. Mandatory only if revealed in the requirements returned by the "Lookup number requirements" endpoint. The "attachmentId" URL parameter is the one returned by the "Lookup number requirements" endpoint. You can follow a detailed tutorial outlining the entire ordering process here. ## Submit number order - [POST /v1/projects/{projectId}/numberOrders/{numberOrderId}/submit](https://developers.sinch.com/docs/numbers/api-reference/numbers/number-order/submitnumberorder.md): Submits the order for review, assuming the KYC info and attachments were submitted using their dedicated endpoints. You can follow a detailed tutorial outlining the entire ordering process here.